Bug 1233876 - SELinux is preventing systemd-hostnam from 'open' accesses on the file /proc/xen/capabilities.
Summary: SELinux is preventing systemd-hostnam from 'open' accesses on the file /proc/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:af837c85075041ed3277af5c38b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-19 16:06 UTC by autarch princeps
Modified: 2015-11-27 03:55 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-128.19.fc22 selinux-policy-3.13.1-128.21.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-27 03:55:36 UTC
Type: ---


Attachments (Terms of Use)

Description autarch princeps 2015-06-19 16:06:12 UTC
Description of problem:
SELinux is preventing systemd-hostnam from 'open' accesses on the file /proc/xen/capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If sie denken, dass es systemd-hostnam standardmässig erlaubt sein sollte, open Zugriff auf capabilities file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep systemd-hostnam /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_hostnamed_t:s0
Target Context                system_u:object_r:xenfs_t:s0
Target Objects                /proc/xen/capabilities [ file ]
Source                        systemd-hostnam
Source Path                   systemd-hostnam
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.1.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.0.5-300.fc22.x86_64 #1 SMP Mon
                              Jun 8 16:15:26 UTC 2015 x86_64 x86_64
Alert Count                   12
First Seen                    2015-06-15 14:20:32 CEST
Last Seen                     2015-06-15 20:47:11 CEST
Local ID                      5d8c7a21-8ed6-4e01-9c88-7dbadee7a06d

Raw Audit Messages
type=AVC msg=audit(1434394031.205:1168): avc:  denied  { open } for  pid=12086 comm="systemd-hostnam" path="/proc/xen/capabilities" dev="xenfs" ino=3 scontext=system_u:system_r:systemd_hostnamed_t:s0 tcontext=system_u:object_r:xenfs_t:s0 tclass=file permissive=1


Hash: systemd-hostnam,systemd_hostnamed_t,xenfs_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-128.1.fc22.noarch

Additional info:
reporter:       libreport-2.6.0
hashmarkername: setroubleshoot
kernel:         4.0.5-300.fc22.x86_64
type:           libreport

Potential duplicate: bug 1202330

Comment 1 sudikeru 2015-10-12 21:46:54 UTC
Description of problem:
Start Fedora 22 with xen

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.10-200.fc22.x86_64
type:           libreport

Comment 2 Fedora Update System 2015-11-03 09:47:04 UTC
selinux-policy-3.13.1-128.19.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fab64b918

Comment 3 Fedora Update System 2015-11-03 18:57:03 UTC
selinux-policy-3.13.1-128.19.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fab64b918

Comment 4 Fedora Update System 2015-11-09 17:55:55 UTC
selinux-policy-3.13.1-128.20.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f396e330d9

Comment 5 Fedora Update System 2015-11-10 02:22:06 UTC
selinux-policy-3.13.1-128.20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f396e330d9

Comment 6 Fedora Update System 2015-11-20 13:13:44 UTC
selinux-policy-3.13.1-128.21.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bbd3df966

Comment 7 Fedora Update System 2015-11-21 17:52:15 UTC
selinux-policy-3.13.1-128.21.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bbd3df966

Comment 8 Fedora Update System 2015-11-27 03:53:15 UTC
selinux-policy-3.13.1-128.21.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.